API
API Reference
Contacts
Create Contact

Create Contact

Create a new contact in Customerscore.

For interactive API documentation, see the Swagger reference (opens in a new tab).

Endpoint

MethodURL
POSThttps://api.customerscore.io/api/v1/customer/{customerExternalId}/contact

Path Parameters

ParameterTypeRequiredDescription
customerExternalIdstringYesCustomer external ID

Request Body

Both external_id and name are always required when creating a contact.

FieldTypeRequiredDescription
external_idstringYesUnique identifier for the contact in the external system
namestringYesContact name

Example Request

curl -X POST "https://api.customerscore.io/api/v1/customer/12345/contact" \
  -H "Content-Type: application/json" \
  -H "customerscore-key: your-generated-key" \
  -d '{
    "external_id": "C12345",
    "name": "John Doe"
  }'

Response Codes

CodeDescription
200The contact has been successfully created
400Bad request
401Unauthorized - Missing customerscore-key in the header
403Forbidden - Invalid key
404Customer not found
405Method Not Allowed - Only POST method is allowed
406Not Acceptable